org.eclipse.eef

## Interface EEFPageDescription

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFPageDescriptionImpl

    public interface EEFPageDescription
    extends org.eclipse.emf.ecore.EObject

A representation of the model object 'EEF Page Description'.

The following features are supported:

- `Identifier`
- `Label Expression`
- `Domain Class`
- `Semantic Candidate Expression`
- `Precondition Expression`
- `Groups`
- `Semantic Validation Rules`
- `Indented`
- `Actions`

See Also:
  `EefPackage.getEEFPageDescription()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<EEFToolbarAction>` `getActions()` Returns the value of the 'Actions' containment reference list.
`java.lang.String` `getDomainClass()` Returns the value of the 'Domain Class' attribute.
`org.eclipse.emf.common.util.EList<EEFGroupDescription>` `getGroups()` Returns the value of the 'Groups' reference list.
`java.lang.String` `getIdentifier()` Returns the value of the 'Identifier' attribute.
`java.lang.String` `getLabelExpression()` Returns the value of the 'Label Expression' attribute.
`java.lang.String` `getPreconditionExpression()` Returns the value of the 'Precondition Expression' attribute.
`java.lang.String` `getSemanticCandidateExpression()` Returns the value of the 'Semantic Candidate Expression' attribute.
`org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription>` `getSemanticValidationRules()` Returns the value of the 'Semantic Validation Rules' containment reference list.
`boolean` `isIndented()` Returns the value of the 'Indented' attribute.
`void` `setDomainClass(java.lang.String value)` Sets the value of the '`Domain Class`' attribute.
`void` `setIdentifier(java.lang.String value)` Sets the value of the '`Identifier`' attribute.
`void` `setIndented(boolean value)` Sets the value of the '`Indented`' attribute.
`void` `setLabelExpression(java.lang.String value)` Sets the value of the '`Label Expression`' attribute.
`void` `setPreconditionExpression(java.lang.String value)` Sets the value of the '`Precondition Expression`' attribute.
`void` `setSemanticCandidateExpression(java.lang.String value)` Sets the value of the '`Semantic Candidate Expression`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getIdentifier

    java.lang.String getIdentifier()

Returns the value of the 'Identifier' attribute. Used to identify a specific Page instance.

Returns:
  the value of the 'Identifier' attribute.
See Also:
  `setIdentifier(String)`, `EefPackage.getEEFPageDescription_Identifier()`

#### setIdentifier

    void setIdentifier(java.lang.String value)

Sets the value of the '`Identifier`' attribute.

Parameters:
  `value` - the new value of the 'Identifier' attribute.
See Also:
  `getIdentifier()`

#### getLabelExpression

    java.lang.String getLabelExpression()

Returns the value of the 'Label Expression' attribute. The label of the Page visible by the end-users.

Returns:
  the value of the 'Label Expression' attribute.
See Also:
  `setLabelExpression(String)`, `EefPackage.getEEFPageDescription_LabelExpression()`

#### setLabelExpression

    void setLabelExpression(java.lang.String value)

Sets the value of the '`Label Expression`' attribute.

Parameters:
  `value` - the new value of the 'Label Expression' attribute.
See Also:
  `getLabelExpression()`

#### getDomainClass

    java.lang.String getDomainClass()

Returns the value of the 'Domain Class' attribute. The class of the EObject used as "self" in the page

Returns:
  the value of the 'Domain Class' attribute.
See Also:
  `setDomainClass(String)`, `EefPackage.getEEFPageDescription_DomainClass()`

#### setDomainClass

    void setDomainClass(java.lang.String value)

Sets the value of the '`Domain Class`' attribute.

Parameters:
  `value` - the new value of the 'Domain Class' attribute.
See Also:
  `getDomainClass()`

#### getSemanticCandidateExpression

    java.lang.String getSemanticCandidateExpression()

Returns the value of the 'Semantic Candidate Expression' attribute. The default value is `""`. The elements that are represented. If not specified, the EEF runtime reuses the context of the View for the Page.

Returns:
  the value of the 'Semantic Candidate Expression' attribute.
See Also:
  `setSemanticCandidateExpression(String)`, `EefPackage.getEEFPageDescription_SemanticCandidateExpression()`

#### setSemanticCandidateExpression

    void setSemanticCandidateExpression(java.lang.String value)

Sets the value of the '`Semantic Candidate Expression`' attribute.

Parameters:
  `value` - the new value of the 'Semantic Candidate Expression' attribute.
See Also:
  `getSemanticCandidateExpression()`

#### getPreconditionExpression

    java.lang.String getPreconditionExpression()

Returns the value of the 'Precondition Expression' attribute. Indicates if the page should be displayed.

Returns:
  the value of the 'Precondition Expression' attribute.
See Also:
  `setPreconditionExpression(String)`, `EefPackage.getEEFPageDescription_PreconditionExpression()`

#### setPreconditionExpression

    void setPreconditionExpression(java.lang.String value)

Sets the value of the '`Precondition Expression`' attribute.

Parameters:
  `value` - the new value of the 'Precondition Expression' attribute.
See Also:
  `getPreconditionExpression()`

#### getGroups

    org.eclipse.emf.common.util.EList<EEFGroupDescription> getGroups()

Returns the value of the 'Groups' reference list. The list contents are of type `EEFGroupDescription`. References the Groups which are visible in a Page. If not specified, the EEF runtime looks for all the Groups defined under the View containing the Page that have a domainClass which is equal or a super class of the domainClass of the Page and use them following the order of the inheritance tree of the EObject.

Returns:
  the value of the 'Groups' reference list.
See Also:
  `EefPackage.getEEFPageDescription_Groups()`

#### getSemanticValidationRules

    org.eclipse.emf.common.util.EList<EEFSemanticValidationRuleDescription> getSemanticValidationRules()

Returns the value of the 'Semantic Validation Rules' containment reference list. The list contents are of type `EEFSemanticValidationRuleDescription`. The validation rules used to validate the semantic element of the page.

Returns:
  the value of the 'Semantic Validation Rules' containment reference list.
See Also:
  `EefPackage.getEEFPageDescription_SemanticValidationRules()`

#### isIndented

    boolean isIndented()

Returns the value of the 'Indented' attribute. The default value is `"false"`.

If the meaning of the 'Indented' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Indented' attribute.
See Also:
  `setIndented(boolean)`, `EefPackage.getEEFPageDescription_Indented()`

#### setIndented

    void setIndented(boolean value)

Sets the value of the '`Indented`' attribute.

Parameters:
  `value` - the new value of the 'Indented' attribute.
See Also:
  `isIndented()`

#### getActions

    org.eclipse.emf.common.util.EList<EEFToolbarAction> getActions()

Returns the value of the 'Actions' containment reference list. The list contents are of type `EEFToolbarAction`. Defines the toolbar's actions of this page.

Returns:
  the value of the 'Actions' containment reference list.
See Also:
  `EefPackage.getEEFPageDescription_Actions()`